Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IAttributeNamesConstants

public interface IAttributeNamesConstants

Description of attribute names as described in the JVM specifications. This interface is not intended to be implemented by clients.

Since:
  2.0

Field Summary
`static char[]` | `ANNOTATION_DEFAULT` "AnnotationDefault" attribute (added in J2SE 1.5).
`static char[]` | `CODE` "Code" attribute.
`static char[]` | `CONSTANT_VALUE` "ConstantValue" attribute.
`static char[]` | `DEPRECATED` "Deprecated" attribute.
`static char[]` | `ENCLOSING_METHOD` "EnclosingMethod" attribute (added in J2SE 1.5).
`static char[]` | `EXCEPTIONS` "Exceptions" attribute.
`static char[]` | `INNER_CLASSES` "InnerClasses" attribute.
`static char[]` | `LINE_NUMBER` "LineNumberTable" attribute.
`static char[]` | `LOCAL_VARIABLE` "LocalVariableTable" attribute.
`static char[]` | `LOCAL_VARIABLE_TYPE_TABLE` "LocalVariableTypeTable" attribute (added in J2SE 1.5).
`static char[]` | `RUNTIME_INVISIBLE_ANNOTATIONS` "RuntimeInvisibleAnnotations" attribute (added in J2SE 1.5).
`static char[]` | `RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS` "RuntimeInvisibleParameterAnnotations" attribute (added in J2SE 1.5).
`static char[]` | `RUNTIME_VISIBLE_ANNOTATIONS` "RuntimeVisibleAnnotations" attribute (added in J2SE 1.5).
`static char[]` | `RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS` "RuntimeVisibleParameterAnnotations" attribute (added in J2SE 1.5).
`static char[]` | `SIGNATURE` "Signature" attribute (added in J2SE 1.5).
`static char[]` | `SOURCE` "SourceFile" attribute.
`static char[]` | `SYNTHETIC` "Synthetic" attribute.

Field Detail

### SYNTHETIC

    public static final char[] SYNTHETIC

  "Synthetic" attribute.

  Note that prior to JDK 1.5, synthetic elements were always marked using an attribute; with 1.5, synthetic elements can also be marked using the `IModifierConstants.ACC_SYNTHETIC` flag.

  Since:
    2.0

### CONSTANT_VALUE

    public static final char[] CONSTANT_VALUE

  "ConstantValue" attribute.

  Since:
    2.0

### LINE_NUMBER

    public static final char[] LINE_NUMBER

  "LineNumberTable" attribute.

  Since:
    2.0

### LOCAL_VARIABLE

    public static final char[] LOCAL_VARIABLE

  "LocalVariableTable" attribute.

  Since:
    2.0

### INNER_CLASSES

    public static final char[] INNER_CLASSES

  "InnerClasses" attribute.

  Since:
    2.0

### CODE

    public static final char[] CODE

  "Code" attribute.

  Since:
    2.0

### EXCEPTIONS

    public static final char[] EXCEPTIONS

  "Exceptions" attribute.

  Since:
    2.0

### SOURCE

    public static final char[] SOURCE

  "SourceFile" attribute.

  Since:
    2.0

### DEPRECATED

    public static final char[] DEPRECATED

  "Deprecated" attribute.

  Since:
    2.0

### SIGNATURE

    public static final char[] SIGNATURE

  "Signature" attribute (added in J2SE 1.5). Class file readers which support J2SE 1.5 return attributes with this name represented by objects implementing `ISignatureAttribute`.

  Since:
    3.0

### ENCLOSING_METHOD

    public static final char[] ENCLOSING_METHOD

  "EnclosingMethod" attribute (added in J2SE 1.5). Class file readers which support J2SE 1.5 return attributes with this name represented by objects implementing `IEnclosingMethodAttribute`.

  Since:
    3.0

### LOCAL_VARIABLE_TYPE_TABLE

    public static final char[] LOCAL_VARIABLE_TYPE_TABLE

  "LocalVariableTypeTable" attribute (added in J2SE 1.5).

  Since:
    3.0

### RUNTIME_VISIBLE_ANNOTATIONS

    public static final char[] RUNTIME_VISIBLE_ANNOTATIONS

  "RuntimeVisibleAnnotations" attribute (added in J2SE 1.5).

  Since:
    3.0

### RUNTIME_INVISIBLE_ANNOTATIONS

    public static final char[] RUNTIME_INVISIBLE_ANNOTATIONS

  "RuntimeInvisibleAnnotations" attribute (added in J2SE 1.5).

  Since:
    3.0

### RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS

    public static final char[] RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS

  "RuntimeVisibleParameterAnnotations" attribute (added in J2SE 1.5).

  Since:
    3.0

### RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS

    public static final char[] RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS

  "RuntimeInvisibleParameterAnnotations" attribute (added in J2SE 1.5).

  Since:
    3.0

### ANNOTATION_DEFAULT

    public static final char[] ANNOTATION_DEFAULT

  "AnnotationDefault" attribute (added in J2SE 1.5).

  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.